<pre>

Quando era piá (sim, eu sou do Sul :-p), meu irmão, minha mãe e eu montamos <a target="_blank" href="http://goo.gl/t9Hmm">um quebra-cabeças</a> de 3.000 peças.

Começamos apostando quem iria colocar a última peça. A diversão durou 6 meses, ele ficou um bom tempo encalhado; até eu descobrir que o corte das peças é
repetido em 4 quadrantes. Feito. Dias depois admirávamos a obra completa.

Mas não é o corte repetido em quadrantes, a dica (a menos, claro, que você ainda não saiba disso... ;-)

Acontece que nunca descobrimos o nome da obra original, muito menos do artista que a pintou. A caixa do jogo não dizia nada, incrível!
Mostrou-se uma informação praticamente impossível de se obter, na pré-história tecnológica em que cresci.

&lt;gap de 20 anos&gt;

2009: a <a target="_blank" href="http://www.martha.com.br/">Martha Gabriel</a> publica <a target="_blank" href="http://www.dicas-l.com.br/segredosdogoogle/segredosdogoogle_20090519.php">um artigo</a> na Dicas-L, falando de um serviço revolucionário do Google, principalmente por ser público:
o <a target="_blank" href="http://googleblog.blogspot.com/2009/10/similar-images-graduates-from-google.html">Google Similar Images</a>. Pronto. Todos os meus pobrema se acabaram-se! :-)

Hoje, o <b>Similar Images</b> se tornou simplesmente <a target="_blank" href="http://images.google.com/">Images</a> e faz parte do leque padrão de serviços do Google, com direito a <a target="_blank" href="https://developers.google.com/custom-search/v1/overview">API</a> e tudo o mais.

Para usá-lo, são poucos passos:

a) Executo a pesquisa no Google Images.

   INTERATIVAMENTE:

     1. copio o endereço da imagem: <a target="_blank" href="http://goo.gl/t9Hmm">http://goo.gl/t9Hmm</a>

     2. acesso a página do Google de pesquisa por imagens: <a target="_blank" href="http://images.google.com/">http://images.google.com/</a>

     3. clico no ícone de máquina fotográfica que aparece no campo de pesquisa

     4. colo no campo de pesquisa o endereço da imagem

     5. pressiono [Enter]

   OU

   NÃO-INTERATIVAMENTE:

     1. Acesso direto a página que mostra o resultado, passando a URL da imagem como parâmetro:

        <a target="_blank" href="http://images.google.com/searchbyimage?image_url=http://goo.gl/t9Hmm">http://images.google.com/searchbyimage?image_url=http://goo.gl/t9Hmm</a>

b) Divirto-me <a target="_blank" href="http://images.google.com/searchbyimage?image_url=http://goo.gl/t9Hmm">com o resultado</a>.

No campo de pesquisa onde colocamos a URL da imagem a ser pesquisada, é possivel optar por fazer upload da imagem. Muito prático.
Certamente deve haver um limite de tamanho para o arquivo da imagem nessa opção de upload, mas ainda não não esbarrei nele.

Além de encontrar informações sobre uma imagem que estou vendo mas não sei descrever, podemos usar o recurso para encontrar versões maiores dessa imagem,
imagens parecidas com ela, usar rascunhos desenhados à mão como ponto de partida, ou outra utilidade que sua criatividade trouxer a tona (api, <a target="_blank" href="https://developers.google.com/custom-search/v1/overview">API</a>!).
Apostaria que os programadores desse serviço não vislumbram todo o poder do que criaram.

E, como não poderia deixar de ser, há extensões para o Firefox e para o Chrome que automatizam esse processo a partir de qualquer imagem mostrada
no navegador:

- <a target="_blank" href="http://google.com/search?q=google+image+search+firefox+extension">http://google.com/search?q=google+image+search+firefox+extension</a>
- <a target="_blank" href="http://google.com/search?q=google+image+search+chrome+extension">http://google.com/search?q=google+image+search+chrome+extension</a>

O próprio Google tem sua extensão:

- <a target="_blank" href="http://chrome.google.com/webstore/detail/dajedkncpodkggklbegccjpmnglmnflm">http://chrome.google.com/webstore/detail/dajedkncpodkggklbegccjpmnglmnflm</a>
- <a target="_blank" href="http://addons.mozilla.org/firefox/addon/search-by-image-by-google/">http://addons.mozilla.org/firefox/addon/search-by-image-by-google/</a>

Então, se ainda não brincaram com esse serviço, experimentem. Vai mudar suas vidas! &gt;:-)

Ah tá, e quem ganhou a aposta?
Eu. Escondi uma peça aleatória logo no início da brincadeira. Por sorte não a perdi, nos 6 meses que precisei esperar para utilizá-la :-p

</pre>

